/* CSS Document */
.toggle,
[id^=drop] {
	display: none;
}

/* Giving a background-color to the nav container. */
nav { 
	margin:0 auto;
	padding: 0;
  /*border-bottom: 1px solid #ccc;
  border-top: 1px solid #ccc;*/
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
  background: #000!important;
}

/* Since we'll have the "ul li" "float:left"
 * we need to add a clear after the container. */

nav:after {
	content:"";
	display:table;
	clear:both;
}

/* Removing padding, margin and "list-style" from the "ul",
 * and adding "position:reltive" */
nav ul {
	float: left;
	padding:0;
	margin:0;
	list-style: none;
	position: relative;
  
	}
.menu {width: var(--container);}
/* Positioning the navigation items inline */
nav ul li {
	margin: 0px;
	display:inline-block;
	float: left;
  background: none;
  /*border-right:1px solid #da3f20;*/
	}
nav ul ul li {
  border:none;
}
/* Styling the links */
nav a {
	display:block;
	padding: 12px 10px;	
	color:var(--bg-white);
	font-size:12px;
	font-weight: 700;
	text-decoration:none;
	cursor: pointer;
  text-transform: uppercase;
}

nav ul li a img {
	padding: 0;
	margin: -15px 0 -10px 0;
  padding: 1px 0 0 25px;
	height:auto;
  /*border-right: 2px solid #222;*/
}
nav ul ul li { background:rgba(0, 0, 0, 0.9);}
nav ul ul li a { 
  color: #FFF; 
  line-height: 1.2; 
  padding: 8px 10px; 
  margin-top:0; 
  background:rgba(255, 255, 255, 0.2);
}
nav ul ul li a:hover {color: #ccc; text-decoration: underline;}

nav ul li ul li:hover { }

/* Background color change on Hover */
nav ul li a:hover { 
	background-color: rgba(255, 255, 255, 0.2);
	color: var(--bg-light-green);
  transition: .5s;
}

/* Hide Dropdowns by Default
 * and giving it a position of absolute */
nav ul ul {
	display: none;
	position: absolute; 
	/* has to be the same number as the "line-height" of "nav a" */
	top: 40px; 
	z-index: 10;
  width: auto;
  /*box-shadow: 0px 5px 10px #ccc;*/
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
  overflow: hidden;
}

/* Display Dropdowns on Hover */
nav ul li:hover > ul {
	display:inherit;
}
	
/* Fisrt Tier Dropdown */
nav ul ul li {
	width:170px;
	float:none;
	display:list-item;
	position: relative;
}

/* Second, Third and more Tiers	
 * We move the 2nd and 3rd etc tier dropdowns to the left
 * by the amount of the width of the first tier.
*/
nav ul ul ul li {
	position: relative;
	top:-60px;
	/* has to be the same number as the "width" of "nav ul ul li" */ 
	left:110px; 
}

/* Change ' +' in order to change the Dropdown symbol */
nav li > a:after { content: " \f107"; font-family:FontAwesome; }
nav li > a:only-child:after { content: ''; }

nav li a.current-menu {
	color:var(--bg-light-green);
}

.stiky {
	position: -webkit-sticky;
	position: sticky;
	z-index: 100;
	top: 0px;
}

.inline {
	display: inline;
}
.logoh {
  display: none;
}
.logom {
	display: none;
  width: 190px;
  padding-left: 5px;
  padding-right: 5px;
}
nav ul li.logom a:hover  { background: none; }

.hidemobile {margin-right: 25px;}

/* Media Queries
--------------------------------------------- */

@media all and (max-width : 8px) {

	.stiky {
		position: relative;
		z-index: 100;
		top: -10px;
	}
	.hidemobile {display: none;}
	.logo {
		display: none;
	}

  .logoh {position:absolute; left: -99999px;}

	.logom {
    display: block;
    margin-top: 2px;
    padding: 0;
    width: 100%;
    text-align: center;
    height: 62px;
    position: fixed;
    z-index: 1000;
    background: var(--white);
    box-shadow: 0px 0px 10px #444;
    overflow: hidden;
    left: 0;
  }
  .logom img {
    max-width: 70%;
    width: auto;
    height: auto;
    max-height: 40px;
  }

  nav {
    margin: 0;
  }
  nav a {
    padding: 8px 10px; 
    color: #FFF; 
    font-size: 20px; 
    font-weight: 400; 
    text-transform: capitalize;
  }

  /* Hide the navigation menu by default */
  /* Also hide the  */
  .toggle + a{
    display: block;/**/
  }
  .menu {
    display: none;
  }

  /* Stylinf the toggle lable */
  .toggle {
    display: block;
    /*background-color: #254441;*/
    padding:8px 20px;  
    color:#ccc;
    font-size:17px;
    text-decoration:none;
    border:none;
    float: right;
    cursor: pointer;
    position: absolute;
    right: 5px;

  }
  .toggle-menu {
    display: block;
    /*background-color: #254441;*/
    padding: 18px 20px;  
    color: var(--light);
    font-size:24px;
    text-decoration:none;
    border:none;
    float: left;
    left: 0px;
    cursor: pointer;
    position: fixed;
    z-index: 1001;
    font-weight: 100;
  }

  .toggle-menu:after {
    content: " \f037";font-family:FontAwesome; 
  }

  .toggle:hover {
    /*background-color: #000000;*/
  }

  /* Display Dropdown when clicked on Parent Lable */
  [id^=drop]:checked + ul {
    display: block;
    overflow: auto;
  }

  [id^=drop]:checked + ul.menu {
    display: block;
    position: fixed;
    width: 100vw;
    height: 100vh;
    overflow: scroll;
    padding-top:60px;
    background: #111;
    left: 0;
  }
  nav li > a:after { content: ''; }
  nav li > a:only-child:after { content: ''; }

  li > .toggle:after { content: " \f107";font-family:FontAwesome; }
  li > a:after { content: "";}

  /* Change menu item's width to 100% */
  nav ul li {
    display: block;
    width: 100%;
    background: #111;
    float: left;
    color: #FFF;
  }

  nav ul li:hover {
    
  }

  nav ul ul .toggle,
  nav ul ul a {
    padding: 0 40px;
  }

  nav ul ul ul a {
    padding: 0 80px;
  }

  nav a:hover,
  nav ul ul ul a {
    background: #222;
  }
  
  nav ul li ul li .toggle,
  nav ul ul a,
  nav ul ul ul a{
    padding:5px 20px;  
    color:#FFF;
    font-size:20px; 
  }
  
  nav ul li a:hover { 
    background-color: var(--bg-light-green); 
    color: var(--dark);
  }
  nav ul ul li a:hover {
    text-decoration: none;
  }
  nav ul li ul li .toggle,
  nav ul ul a {
    border-bottom: 1px dotted #efefef;
  }
  nav ul ul li a:before {
  	content:'- ';
  	padding-left: 10px;
  }

  /* Hide Dropdowns by Default */
  nav ul ul {
    float: none;
    position:static;
    color: #FFF;
    /* has to be the same number as the "line-height" of "nav a" */
  }
    
  /* Fisrt Tier Dropdown */
  nav ul ul li {
    display: block;
    width: 100%;
  }

  nav ul ul ul li {
    position: static;
    /* has to be the same number as the "width" of "nav ul ul li" */ 

  }
  /*
  nav #search {
    margin: 5px 0 0 0;
    float: right;
    margin-right: 10px;
    color: var(--dark);
    display: block;
    position: fixed;
  }*/
}

@media all and (max-width : 480px) {
  .hidemobile {display: none;}
  .logo {
    width: 100%;
  }

  .logoh {position:absolute; left: -99999px;}

  nav {
    display:block;
    width: 100%;
    overflow: auto;
    margin: 0;
    background: var(--bg-light-green)!important;
  }
  nav ul li a{
    padding: 10px; 
    color: var(--dark);
  }
  nav ul li a.current-menu{
    color: var(--orange);
  }
  nav li > a:after { content: ''; }
  nav li > a:only-child:after { content: ''; }
  
  nav .toggle {display: none;}
  /*
	nav ul li {
		display:block;
		width: 100%;
	}*/

}

.search_b {
  float:left;
  width: 20%;
  z-index: 3;
  width: auto;
  height: 70px;
  padding:25px 15px;
  border-right: 1px solid rgba(255, 255, 255, 0.3); 
  box-sizing: border-box;
  color: var(--bg-white);
}

.searchh {
  display: none;
  position :relative;
  top: -32px;
  float:right;
  right:10px;
  z-index: 2;
  width: 360px;
  height: 0%;
  margin: auto;
  transition: height 500ms;

  width: 360px;
  padding: 10px 15px;
  border-radius: 5px;
  box-shadow: 1px 0px 5px rgba(0, 0, 0, 0.5);
}

.search_b:hover + .searchh {
  display: block;
  position: absolute;
  border-top: none;
  right: 100px;
  top: 70px;
  height: 40px;
  z-index: 1000;
  background: var(--dark);
  width: 360px;
  padding: 10px 15px;
  border-radius: 5px;
  box-shadow: 1px 0px 5px rgba(0, 0, 0, 0.5);
}

.searchh:hover {
  display: block;
  position: absolute;
  right: 100px;
  top: 70px;
  height: 40px;
  z-index: 1000;
  background: var(--dark);
  padding: 10px 15px;
  border-radius: 5px;
  box-shadow: 1px 0px 5px rgba(0, 0, 0, 0.5);
  border-bottom: 2px solid var(--bg-light-green);
}
.search_b:hover + .searchh input,
.searchh:hover input {
  height:25px; 
  padding:5px; 
  width:96%; 
  margin:0; 
  font-size: 14px; 
  border-radius: 5px;
}

@media all and (max-width : 600px) {
    .search_b {
    float:right;
    right: 5px;
    position: relative;
    width: 20%;
    z-index: 1000;
    width: auto;
    height: 40px;
    padding:10px 15px;
    border-right:none;
  }
  .searchh {
    display: none;
    position :fixed;
    top: -32px;
    float:right;
    right: auto;
    z-index: 2;
    width: 96%;
    height: 0%;
    margin: auto;
    transition: height 500ms;
  }
  .searchh:hover,
  .search_b:hover + .searchh {
    border-bottom: none;
    box-shadow: none;
  }
  .searchh:hover, .search_b:hover + .searchh {
    background: none;
  }

  .search_b:hover + .searchh input,
  .searchh:hover input {
    position: fixed;
    top: 40px;
    left: 1%;
    height:25px; 
    padding:5px; 
    width:94%; 
    margin:0; 
    font-size: 14px; 
    border-radius: 5px;
  }
}

#icon-menu {
  width: 50px;
  height: 40px;
  display: none;
  z-index: 1;
  float: left;
  margin-top: -15px;
  margin-left: -50px;
}
#icon-menu img {
  width: 40px;
  height: auto;
  left: 0px;
}